Bug 1257826 - anaconda failed to run 'pdb'
anaconda failed to run 'pdb'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 03:34 EDT by lnie
Modified: 2016-12-02 04:32 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-02 04:32:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (45.98 KB, image/png)
2015-08-28 03:34 EDT, lnie
no flags Details

  None (edit)
Description lnie 2015-08-28 03:34:01 EDT
Created attachment 1067922 [details]
screenshot

Description of problem:

As is shown in the screenshot,anaconda showed 'Pane is dead', instead of running 'pdb'

Version-Release number of selected component (if applicable):
f23-beta-tc1

How reproducible:

always

Steps to Reproduce:
1.do a default installation 
2.run 'kill -USR1 `cat /var/run/anaconda.pid` to make anaconda crash
3. try to enter into debug mode by clicking the 'debug' button
4.

Actual results:


Expected results:


Additional info:
Comment 1 David Shea 2015-09-29 09:12:10 EDT
Please try running this again with inst.updates=https://dshea.fedorapeople.org/anaconda-dump-core.img added the kernel command line. After the crash, there will be a core file in /tmp. The core file may be too large to attach to the bug, but if you could make it available somewhere that would be helpful. Thanks.
Comment 2 lnie 2015-09-29 23:20:03 EDT
(In reply to David Shea from comment #1)
> Please try running this again with
> inst.updates=https://dshea.fedorapeople.org/anaconda-dump-core.img added the
> kernel command line. After the crash, there will be a core file in /tmp. The
> core file may be too large to attach to the bug, but if you could make it
> available somewhere that would be helpful. Thanks.

I have put it into lnie@file01.intranet.prod.int.rdu2.redhat.com:~/public_html,and hope it would help :)
Comment 3 David Shea 2015-09-30 10:53:31 EDT
pdb is attempting to import the readline module, and for whatever reason readline is ending up with libedit instead of libreadline, causing a crash.
Comment 4 Fedora Admin XMLRPC Client 2016-01-29 08:08:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 07:23:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.